Subject: Re: /usr/doc/Cygwin/openssh-*.README
From: "Gerrit P. Haase" <[email-masked]>
To: Daniel Steinmann <[email-masked]>, [email-masked]
Date: Fri, 7 Sep 2001 22:15:33 +0200

Daniel Steinmann schrieb am 2001-09-07, 19:06:

Hi Daniel,

>Hi, I followed the instructions in /usr/doc/Cygwin/openssh-*.README
>to setup sshd on a freshly installed cygwin environment. After
>running ssh-host-config I could not start sshd. In the event log I
>saw "...: Not owner". 
>
>The reason for this was: I invoked ssh-host-config without setting
>CYGWIN=ntsec. Therefore the /etc/ssh-* files had wrong permissions.
>
>How about adding some more information in the README:
>
>$ diff openssh-2.9p2.README openssh-2.9p2.README.orig
>30c30
><    CYGWIN=ntsec /usr/bin/ssh-host-config
>---
>>    /usr/bin/ssh-host-config
>
That won't work, CYGWIN environment settings needs to be set
before starting a bash shell. 
First option:	as system wide env-variable
Second option:	in cygwin.bat, if it is used to call cygwin bash shell.
	That has no effect if you are calling rxvt direct to use cygwin,
	therefore it needs to be set as windows-system-wide env-setting.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/